Install CreateLab-Create 1.8 for Anaconda

User 3062 | 1/18/2016, 6:57:03 PM

I downloaded the "Graphlab-Create-1.8.tar.gz" file from "https://pypi.python.org/pypi/GraphLab-Create". Unzipped the file, and run the command "python setup.py install". It seems to have a problem, and does not import createlab. The installation log is copied below. Would you please help with it? Thanks a lot!


running install running build running buildpy running installlib running installegginfo running egginfo writing requirements to GraphLabCreate.egg-info\requires.txt writing GraphLabCreate.egg-info\PKG-INFO writing top-level names to GraphLabCreate.egg-info\toplevel.txt writing dependencylinks to GraphLabCreate.egg-info\dependencylinks.txt reading manifest file 'GraphLab_Create.egg-info\SOURCES.txt' reading manifest template 'MANIFEST.in' warning: no files found matching '.dylib' under directory 'graphlab' warning: no files found matching '.pyd' under directory 'graphlab' warning: no files found matching '.dll' under directory 'graphlab' warning: no files found matching 'pylambda_worker' under directory 'graphlab' warning: no files found matching '.exe' under directory 'graphlab' warning: no files found matching '.so' under directory '.pyd' warning: no files found matching 'LICENSE' under directory 'graphlab\canvas' writing manifest file 'GraphLabCreate.egg-info\SOURCES.txt' removing 'C:\Anaconda\Lib\site-packages\GraphLabCreate-1.8-py2.7.egg-info' (and everything under it) Copying GraphLabCreate.egg-info to C:\Anaconda\Lib\site-packages\GraphLabCreat e-1.8-py2.7.egg-info running install_scripts

NOTE:

Thank you for downloading and trying GraphLab Create.

GraphLab Create will send usage metrics to Dato, Inc. (when you import the graph lab module) to help us make GraphLab Create better. If you would rather these me trics are not collected, please remove GraphLab Create from your system.

For Nvidia GPU CUDA support, please pip install http://static.dato.com/files/gra phlab-create-1.8.gpu.tar.gz error: [Error 2] The system cannot find the file specified: 'C:\Anaconda\Lib\ site-packages\graphlab\unity_server.exe'

Comments

User 4 | 1/18/2016, 9:24:38 PM

Hi @hlignin, the GraphLab-Create-1.8.tar.gz file is an egg format package of GraphLab Create. Due to file size limits on PyPI, we actually only include the Linux version of GraphLab Create in this egg format.

For use on Windows, you will what to use the *.whl file (a wheel) package instead. With a recent version of pip, you should be able to automatically retrieve and install the correct package simply by running pip install GraphLab-Create (on 64-bit Windows with 64-bit Python, this should give you the wheel package). We don't support 64-bit Windows with 32-bit Python, or 32-bit Windows; if you get an unsupported platform error from the wheel file, this may be the reason.


User 3062 | 1/19/2016, 6:45:32 PM

Hi, @Zach, thanks a lot for your help! It works now.


User 3158 | 1/31/2016, 3:10:50 PM

@Zach , I had the same error while trying to install GPU-enabled Dato on windows (but the pip solved it in a moment).